For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Meeting Todos
      • POSTCreate Meeting Todos
      • PUTUpdate a Meeting Todos
      • DELRemove Meeting Todos
LogoLogo
SupportContact salesStart free trial
API ReferenceMeeting Todos

Create Meeting Todos

POST
https://api.projectmanager.com/api/data/meetings/:meetingId/todos
POST
/api/data/meetings/:meetingId/todos
$curl -X POST https://api.projectmanager.com/api/data/meetings/meetingId/todos \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "text": "string",
16 "complete": true,
17 "createDate": "2024-01-15T09:30:00Z",
18 "modifyDate": "2024-01-15T09:30:00Z"
19 }
20}
Creates a new todos and associates it with the meeting
Was this page helpful?
Previous

Update a Meeting Todos

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

meetingIdstringRequiredformat: "uuid"
The id of the meeting

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The todos to create
textstringOptional
The full description of this MeetingTodo.
completebooleanOptional
True if this MeetingTodo is complete.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject

A MeetingTodo is a sub-item that represents a unit of work on the Meeting. You can use MeetingTodo to represent individual items for a larger piece of work (e.g. agenda items, action items).